## org.eclipse.m2m.qvt.oml
Class ExecutionDiagnostic

    java.lang.Object
      org.eclipse.emf.common.util.BasicDiagnostic
          org.eclipse.m2m.qvt.oml.ExecutionDiagnostic

All Implemented Interfaces:
  org.eclipse.emf.common.util.Diagnostic, org.eclipse.emf.common.util.DiagnosticChain

    public class ExecutionDiagnostic

extends org.eclipse.emf.common.util.BasicDiagnostic

A diagnostic class representing the result status of a transformation execution.

Since:
  2.0

Field Summary
`static int` `EXCEPTION_THROWN`
`static int` `FATAL_ASSERTION` The execution was terminated by failed QVT assertion.
`static int` `MODEL_PARAMETER_MISMATCH`
`static java.lang.String` `SOURCE`
`static int` `TRANSFORMATION_LOAD_FAILED`
`static int` `USER_INTERRUPTED` The execution received user interruption request
`static int` `VALIDATION`

Fields inherited from class org.eclipse.emf.common.util.BasicDiagnostic
`children, code, data, message, severity, source`

Fields inherited from interface org.eclipse.emf.common.util.Diagnostic
`CANCEL, CANCEL_INSTANCE, ERROR, INFO, OK, WARNING`

Constructor Summary
`protected` `ExecutionDiagnostic(int severity, int code, java.lang.String message)`
`protected` `ExecutionDiagnostic(int severity, int code, java.lang.String message, java.lang.Object[] data)`

Method Summary
`java.util.List<ExecutionStackTraceElement>` `getStackTrace()` Gets the stack trace that resulted from interrupted execution either by user termination request or exception thrown
`void` `printStackTrace(java.io.PrintWriter writer)` Prints the execution stack-trace (if available) of this diagnostic to the specified print writer.
`protected void` `setStackTrace(java.util.List<? extends ExecutionStackTraceElement> stackElements)`

Methods inherited from class org.eclipse.emf.common.util.BasicDiagnostic
`add, addAll, dataAsList, getChildren, getCode, getData, getException, getMessage, getSeverity, getSource, merge, recomputeSeverity, setCode, setSeverity, setSource, toDiagnostic, toDiagnostic, toIStatus, toIStatus, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FATAL_ASSERTION

    public static final int FATAL_ASSERTION

  The execution was terminated by failed QVT assertion.

  See Also:
    Constant Field Values

### USER_INTERRUPTED

    public static final int USER_INTERRUPTED

  The execution received user interruption request

  See Also:
    Constant Field Values

### EXCEPTION_THROWN

    public static final int EXCEPTION_THROWN

See Also:
  Constant Field Values

### VALIDATION

    public static final int VALIDATION

See Also:
  Constant Field Values

### MODEL_PARAMETER_MISMATCH

    public static final int MODEL_PARAMETER_MISMATCH

See Also:
  Constant Field Values

### TRANSFORMATION_LOAD_FAILED

    public static final int TRANSFORMATION_LOAD_FAILED

See Also:
  Constant Field Values

### SOURCE

    public static final java.lang.String SOURCE

See Also:
  Constant Field Values

Constructor Detail

### ExecutionDiagnostic

    protected ExecutionDiagnostic(int severity,
                                  int code,
                                  java.lang.String message,
                                  java.lang.Object[] data)

### ExecutionDiagnostic

    protected ExecutionDiagnostic(int severity,
                                  int code,
                                  java.lang.String message)

Method Detail

### setStackTrace

    protected void setStackTrace(java.util.List<? extends ExecutionStackTraceElement> stackElements)

### getStackTrace

    public java.util.List<ExecutionStackTraceElement> getStackTrace()

  Gets the stack trace that resulted from interrupted execution either by user termination request or exception thrown

  Returns:
    list of trace elements or an empty list

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Prints the execution stack-trace (if available) of this diagnostic to the specified print writer.

  Parameters:
    `writer` - `PrintWriter` to use for output

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.